-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

print("Loading physics.lua")

if physics == nil then
        physics = {

                frameTimer = Timer();
                leftOver = 0;

                speed = 1;
                oneToOne = false;
                enabled = true;

                allocs = 0;

                debugWorld = false;

        }
else
        main.frameCallbacks:removeByName("physics")
end

local function frameCallback()

        local count, allocs, reallocs, frees = get_alloc_stats()
        reset_alloc_stats()

        local iterations

        if physics.enabled then

                if physics.oneToOne then
                        iterations = pw:pump(pw.stepSize)
                        physics.frameTimer:reset()
                else
                        local elapsed = physics.leftOver +
                                physics.frameTimer.us/1000000 * physics.speed

                        if elapsed > pw.stepSize then
                                physics.frameTimer:reset()
                                iterations = pw:pump(elapsed)
                        end

                        physics.leftOver = math.mod(elapsed,pw.stepSize)
                end

        else
                physics.frameTimer:reset()
        end

        if iterations then
                local _, p_allocs = get_alloc_stats()
                physics.allocs = p_allocs / iterations
        else
                physics.allocs = 0
        end
        set_alloc_stats(allocs,reallocs,frees)

        if physics.debugWorld then pw:draw() end

end

main.frameCallbacks:insert("physics",frameCallback)

-- vim: shiftwidth=8:tabstop=8:expandtab
