local mu = 1.2
local rad = 0.29 -- wheels
local wx, wf, wb, wz = 0.65, 1.3, -1, 0.05
local slack = 0.37

streamer:addClass("../Evo", extends(Vehicle) {
        gfxMesh="Evo/Body.mesh",
        colMesh="Evo/Body.tcol",
        powerPlots = {
                [-1] = { [0] = -1500; [10] = -2500; [30] = -3000; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0] = 3500; [10] = 4500; [20] = 5000; [40] = 5790; [80] = 5790; [100] = 5790 ; [120] = 5790; [200] = 5790; },
        },       
        brakePlot = { [-10] = 400; [0] = 400; [10] = 5000; [20] = 5000; [40] = 5000; };
        wheelInfo = {
                { steer=1; drive=0.8; rad=rad; maxRestitution=30000; mu = mu;
                  steerBone="steer_f_l", axleBone="axle_f_l", wheelBone="wheel_f_l",
                },
                { steer=1; drive=0.8; rad=rad; maxRestitution=30000; mu = mu;
                  steerBone="steer_f_r", axleBone="axle_f_r", wheelBone="wheel_f_r",
                },
                { drive=1.2; handbrake=true; rad=rad; maxRestitution=30000; mu = mu;
                  aimBone="steer_r_l", axleBone="axle_r_l", wheelBone="wheel_r_l",
                },
                { drive=1.2; handbrake=true; rad=rad; maxRestitution=30000; mu = mu;
                  aimBone="steer_r_r", axleBone="axle_r_r", wheelBone="wheel_r_r",
                },
        },
},{})


streamer:addClass("../EvoChassis", ColClass, { gfxMesh="Evo/Body.mesh", colMesh="Evo/Body.tcol" })

material "Body" { diffuseMap = "Body.jpg"; specularColour = {.1, .1, .1}; specularity = 20; }
material "Glass" { diffuseMap = "Glass.png"; alpha = true; }


-- vim: shiftwidth=8:tabstop=8:expandtab
