local mu_front = 1.2
local mu_back = .93
local rad = 0.29 -- wheels

streamer:addClass("../Focus", extends(Vehicle) {
        gfxMesh="Focus/Body.mesh",
        colMesh="Focus/Body.tcol",
        powerPlots = {
                [-1] = { [0] = -1000; [15] = -3000; [30] = -2000; [40] = -1000; },
                [0] = {}, --neutral
                [1] = { [0] = 8000; [10] = 8000; [20] = 6000; [40] = 6000; [80] = 6000; [100] = 5000 ; [110] = 4000; [150] = 2000; },
        },       
        wheelInfo = {
                { steer=1; drive=1; rad=rad; mu = mu_front;
                  steerBone="steer_f_l", axleBone="axle_f_l", wheelBone="wheel_f_l",
                },

                { steer=1; drive=1; rad=rad; mu = mu_front;
                  steerBone="steer_f_r", axleBone="axle_f_r", wheelBone="wheel_f_r",
                },

                { rad=rad; mu = mu_back; handbrake=true;
                  aimBone="steer_r_l", axleBone="axle_r_l", wheelBone="wheel_r_l",
                },

                { rad=rad; mu = mu_back; handbrake=true;
                  aimBone="steer_r_r", axleBone="axle_r_r", wheelBone="wheel_r_r",
                },
        },
},{})

streamer:addClass("../FocusChassis", ColClass, { gfxMesh="Focus/Body.mesh", colMesh="Focus/Body.tcol" })

material "Body" { diffuseMap = "Body.jpg"; specularColour = {.1, .1, .1}; specularity = 20; }

-- vim: shiftwidth=8:tabstop=8:expandtab
