local mu = .93
local len = 0.1 --suspension
local rad = 0.25 -- wheel radius
local wx, wf, wb, wz = 0.65, 1.311, -1.12, -0.2 -- wheel position data, see below

streamer:addClass("../Nova", extends(Vehicle) {
        gfxMesh = "Nova/Body.mesh",
        colMesh = "Nova/Body.tcol",
        powerPlots = {
                [-1] = { [0] = -900; [10] = -1900; [25] = -500; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0] = 1000; [10] = 1500; [25] = 2500; [60] = 2900; [100] = 3000; [120] = 1000; },
        },
        wheelInfo = {
                { steer=1; drive=1; rad=rad; mu = mu;
                  steerBone="steer_f_l", axleBone="axle_f_l", wheelBone="wheel_f_l",
                },

                { steer=1; drive=1; rad=rad; mu = mu;
                  steerBone="steer_f_r", axleBone="axle_f_r", wheelBone="wheel_f_r",
                },

                { rad=rad; mu = mu; handbrake=true;
                  aimBone="steer_r_l", axleBone="axle_r_l", wheelBone="wheel_r_l",
                },
                
                { rad=rad; mu = mu; handbrake=true;
                  aimBone="steer_r_r", axleBone="axle_r_r", wheelBone="wheel_r_r",
                },
        },
},{})

streamer:addClass("../NovaChassis", ColClass, { gfxMesh="Nova/Body.mesh", colMesh="Nova/Body.tcol" })

material "Body" { diffuseMap = "Body.png"; }
material "Wheel" { diffuseMap = "/common/tex/Tyre.dds"; }

-- vim: shiftwidth=8:tabstop=8:expandtab
