local mu_front = 0.87
local mu_rear = 1.07
local rad = 0.29 -- wheels
local len = 0.1
local wx, wf, wb, wz = 0.63, 0.87, -1.27, -0.12

streamer:addClass("../Seat", extends(Vehicle) {
        gfxMesh="Seat/Body.mesh",
        colMesh="Seat/Body.tcol",
        steerMax = 25,
        powerPlots = {
                [-1] = { [0] = -2000; [10] = -4000; [30] = -3000; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0]=2000; [20]=2500; [40]=4000; [80]=3500; [100]=4000 ; [110]=4000; [150]=4000; },
        },       
        wheelInfo = {
                { steer=1; rad=rad; mu = mu_front;
                  steerBone="steer_f_l", axleBone="axle_f_l", wheelBone="wheel_f_l",
                },

                { steer=1; rad=rad; mu = mu_front;
                  steerBone="steer_f_r", axleBone="axle_f_r", wheelBone="wheel_f_r",
                },

                { drive=1; rad=rad; mu = mu_rear; handbrake=true;
                  aimBone="steer_r_l", axleBone="axle_r_l", wheelBone="wheel_r_l",
                },
                
                { drive=1; rad=rad; mu = mu_rear; handbrake=true;
                  aimBone="steer_r_r", axleBone="axle_r_r", wheelBone="wheel_r_r",
                },
        },
},{})

streamer:addClass("../SeatChassis", ColClass, { gfxMesh="Seat/Body.mesh", colMesh="Seat/Body.tcol" })

material "Body" { diffuseMap = "Body.jpg"; specularColour = {.1, .1, .1}; specularity = 20; }

-- vim: shiftwidth=8:tabstop=8:expandtab
